<!-- LIST.HTML -->
{%extends 'base.html' %}
{% load custom_filters %}
{% block title %}
    Recipes for Life.
{% endblock title %}
{% block content %}
    <header>
        <nav class="color-white" >
            <a class="color-white" href="{%url 'recipe_list'%}">  Main page  </a>
            {% if user.is_authenticated %}
                Hello, {{user.username}}
                <a class="color-white" href="{% url 'create_recipe' %}">  Create a recipe  </a>
                <a class="color-white" href="{% url 'my_recipe_list' %}">My recipes</a>
                <a class="color-white" href="{%url 'user_logout' %}">Logout</a>
            {%else%}
                <a class="color-white" href="{%url 'signup' %}">  Sign up  </a>
                <a class="color-white" href="{%url 'user_login' %}"> Login </a>
            {%endif%}
        </nav>
    </header>
    <main>
        <h1> Recipes for Life. </h1>
        <h2>All the food that you'll actually eat</h2>
        <div class="container-flexbox1">
            {%for recipe in recipe_list %}
            <div class="rcorners">
                <h3>
                    <a href="{%url 'show_recipe' recipe.id %}">{{recipe.title}} </a>
                </h3>
                    <img class ="stretch" src="{{ recipe.picture }}"/>
                            <div>
                                <div class="center-text">Average Rating: {{ recipe.average_rating|stars }} {{recipe.ratings.count}} reviews</div>
                            </div>
                        <div class="center-text" >Published: {{recipe.created_on|date}} </div>
            </div>
            {% endfor %}
        </div>
    </main>
{% endblock content %}
